Cancel form
Cancel a pending form.
POST
/api/session/{sessionID}/form/{formID}/cancelPath parameters
sessionIDstringrequiredformIDobjectrequiredResponses
204<No Content>
400InvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequired404SessionNotFoundError | FormNotFoundError
Any of:
FormNotFoundError
_tagstringrequiredAllowed:
FormNotFoundErroridstringrequiredmessagestringrequiredSessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequiredSessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequired409FormAlreadySettledError
_tagstringrequiredAllowed:
FormAlreadySettledErroridstringrequiredmessagestringrequiredRequest
curl -X POST "/api/session/string/form/%5Bobject%20Object%5D/cancel"const response = await fetch("/api/session/string/form/%5Bobject%20Object%5D/cancel", {
method: "POST"
});import requests
response = requests.post(
"/api/session/string/form/%5Bobject%20Object%5D/cancel",
)Response
<No Content>
{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}{
"_tag": "FormNotFoundError",
"id": "string",
"message": "string"
}{
"_tag": "FormAlreadySettledError",
"id": "string",
"message": "string"
}